import request from "@/utils/request";

// 查询IDC单位列表
export function listIDCunit(query) {
  return request({
    url: "/zongzhi/idcunit/list",
    method: "get",
    params: query,
  });
}

// 查询IDC单位详细
export function getIDCunit(id) {
  return request({
    url: "/zongzhi/idcunit/" + id,
    method: "get",
  });
}

// 新增IDC单位
export function addIDCunit(data) {
  return request({
    url: "/zongzhi/idcunit",
    method: "post",
    data: data,
  });
}

// 修改IDC单位
export function updateIDCunit(data) {
  return request({
    url: "/zongzhi/idcunit",
    method: "put",
    data: data,
  });
}

// 删除IDC单位
export function delIDCunit(id) {
  return request({
    url: "/zongzhi/idcunit/" + id,
    method: "delete",
  });
}

// 导出IDC单位
export function exportIDCunit(data) {
  return request({
    url: "/zongzhi/idcunit/export",
    method: "post",
    data,
  });
}
